<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: AuthController.php 2956 2012-08-21 12:34:53Z vlad.bruma $
 * @category   Giscuit
 * @package    Giscuit_Controller
 * @subpackage Default
 * @copyright  Copyright (c) 2012 VEC
 */

class AuthController extends Zend_Controller_Action
{
    public function indexAction ()
    {
        $translate = Zend_Registry::get('Zend_Translate');
        $config = Zend_Registry::get('config');
        //$settings = Zend_Registry::get('settings');
        
        $jqm = $this->_request->getParam('jqm', false);
        
        $form = $this->getLoginForm();
        
        if(! $this->_request->isPost()) {
            if ($config->ssl->active == 't') { 
                if(! (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on') && isset($_SERVER["SERVER_NAME"])) {
                    //$settings->secureContent = false;
                
                    $url = $config->httpPath . '/';
                    $url = 'https://' . $_SERVER["SERVER_NAME"] . $url;
                
                    $this->_redirect($url);
                }
                /* else {
                    if (! isset($settings->secureContent)) {
                        $settings->secureContent = true;
                    }
                }
                */
            }
        } else {
            $form->populate($this->_request->getParams());
            
            if ($form->isValid($this->_request->getParams())) {
                $authError = Giscuit_Controller_Plugin_Acl::authenticate($form->getValues(), array(
                    'singleSessionPerUser' => true
                )); 
                
                if ($authError) {
                    $form->getElement('account')->addError($translate->_($authError));
                } else {
                    
                    //Url
                    if(! $jqm) {
                        $url = '/';
                    } else {
                        $url = $this->_helper->url->url(array(
                            'language' => Zend_Registry::get('Zend_Translate')->getLocale() ,
                            'module' => 'mobile' ,
                            'controller' => 'menu' ,
                        ), null, true);
                    }
                    
                    /*
                    //SSL
                    if ($config->ssl->active == 't' && $settings->secureContent == true) {
                        $url = 'https://' . $_SERVER["SERVER_NAME"] . $url;
                    }
                    */
                    
                    //Redirect
                    $this->_helper->redirector->gotoUrl($url);
                    
                    //eventUserLogin
                    Giscuit_Controller_Plugin_Abstract::call('eventUserLogin', Zend_Auth::getInstance()->getIdentity());
                }
            }
        }
        
        $this->view->form = $form;
    }
    
    public function signupAction ()
    {
        $config = Zend_Registry::get('config');
        $translate = Zend_Registry::get('Zend_Translate');
        
        $result['replyCode'] = 200;

        $translate = Zend_Registry::get('Zend_Translate');

        $form = $this->getSignupForm();

        if(! $this->_request->isPost()) {
            $this->view->form = $form;
        } else {
            $form->populate($this->_request->getParams());
            
            if ($form->isValid($this->_request->getParams())) {
                $secret = md5(uniqid(rand(), true));
                
                $usersTable = new Giscuit_Db_Table_Users();
                $usersTable->addItem($form , array(
                    'emailSecret' => $secret
                ));
                
                $result['result'] = $translate->_('signupSuccessfull');
                
                if($config->signup->activate == 1) {
                    //
                    $result['result'] .= ' ' .  $translate->_('contactAdministratorToActivateAccount'); 
                } else if ($config->signup->activate == 2 && 
                    $config->smtp->host && 
                    $config->smtp->port && 
                    ! GT_TESTING) {

                    //
                    $result['result'] .= ' ' .  $translate->_('emailConfirm'); 
                    
                    //Mail
                    $mailView = new Zend_View();
                    $mailView->fname = $form->getValue('fname');
                    $mailView->lname = $form->getValue('lname');
                    $mailView->account = $form->getValue('account');
                    $mailView->secret = $secret;
                
                    $mailView->addScriptPath(GT_MODULES_PATH . DIR_SEP . 'default' . DIR_SEP . 
                        'views' . DIR_SEP . 'scripts' . DIR_SEP . 'auth');
        
                    $mailBody = $mailView->render('signup_mail' . GT_SCRIPT_EXT);
                
                    Giscuit_Mail::batch(array(
                        array(
                            'to' => $form->getValue('account'),
                            'subject' => $translate->_('confirmSignupTitle') ,
                            'text' => $mailBody
                        )
                    ));
                }
                
            } else {
                $result['form'] = (string) $form;
            }
            
            $this->_helper->json($result);
        }
    }
    
    public function signupagreementAction()
    {
        $locale = Zend_Registry::get('Zend_Translate')->getLocale();
        
        if (file_exists(GT_MODULES_PATH . DIR_SEP . 'default' . DIR_SEP . 'views' . DIR_SEP . 
            'scripts' . DIR_SEP . 'auth' . DIR_SEP . 'signupagreement_' . $locale . '.phtml')) {
        
            $this->view->partialname = 'signupagreement_' . $locale . GT_SCRIPT_EXT;
        } else {
            $this->view->partialname = 'signupagreement_en' . GT_SCRIPT_EXT;
        }
    }

    public function logoutAction ()
    {
        $config = Zend_Registry::get('config');
        
        $layout = Zend_Layout::getMvcInstance();
        if ($layout instanceof Zend_Layout) {
            $layout->disableLayout();
        }
        $this->_helper->viewRenderer->setNoRender();
        
        $jqm = $this->_request->getParam('jqm', false);
        
        //eventUserLogout
        Giscuit_Controller_Plugin_Abstract::call('eventUserLogout', Zend_Auth::getInstance()->getIdentity());

        Zend_Session::destroy(true);
        
        if(! $jqm) {
            $url = '/';
        } else {
            $url = $this->_helper->url->url(array(
                'language' => Zend_Registry::get('Zend_Translate')->getLocale() ,
                'module' => 'mobile' ,
                'controller' => 'menu' ,
            ), null, true);
        }
        
        $this->_helper->redirector->gotoUrl($url);
        
    }

    public function getLoginForm ()
    {
        $form = new Giscuit_Form_Login();
        
        $action = $this->_helper->url->url(array(
            'language' => Zend_Registry::get('Zend_Translate')->getLocale() ,
            'module' => 'default' ,
            'controller' => 'auth' ,
            'action' => 'index' ,
        ), null, true);
        $form->setAction($action);
        
        return $form;
    }

    public function getSignupForm ()
    {
        $form = new Giscuit_Form_Signup();
        
        $action = $this->_helper->url->url(array(
            'language' => Zend_Registry::get('Zend_Translate')->getLocale() ,
            'module' => 'default' ,
            'controller' => 'auth' ,
            'action' => 'signup' ,
        ), null, true);
        $form->setAction($action);
        
        return $form;
    }

}