--
-- PostgreSQL database dump
--

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- Data for Name: text; Type: TABLE DATA;
--

INSERT INTO text VALUES (1, 'News');
INSERT INTO text VALUES (2, '');
INSERT INTO text VALUES (3, '');

INSERT INTO text VALUES (4, 'Map');
INSERT INTO text VALUES (5, '');
INSERT INTO text VALUES (6, '');

INSERT INTO text VALUES (7, 'System');
INSERT INTO text VALUES (8, '');
INSERT INTO text VALUES (9, '');

INSERT INTO text VALUES (10, 'Administrator panel');
INSERT INTO text VALUES (11, '');
INSERT INTO text VALUES (12, '');

INSERT INTO text VALUES (13, 'Change password');
INSERT INTO text VALUES (14, '');
INSERT INTO text VALUES (15, '');

INSERT INTO text VALUES (16, 'Settings');
INSERT INTO text VALUES (17, '');
INSERT INTO text VALUES (18, '');

INSERT INTO text VALUES (19, 'World boundaries');
INSERT INTO text VALUES (20, 'Downloaded areas');
INSERT INTO text VALUES (21, 'Open street map');
INSERT INTO text VALUES (22, 'Google');
INSERT INTO text VALUES (23, 'Google satellite');
INSERT INTO text VALUES (24, 'Google streets');
INSERT INTO text VALUES (25, 'Google hybrid');
INSERT INTO text VALUES (26, 'Google terrain');

SELECT setval('text_id_seq', (SELECT MAX(id) FROM text) + 1);

--
-- Data for Name: menu; Type: TABLE DATA;
--

INSERT INTO menu VALUES (1, 't', '<front>/news', NULL, 3, 1, 1, 2, 3, 'news_menu', '', 'f');
INSERT INTO menu VALUES (2, 't', '<front>/map', NULL, 3, 2, 4, 5, 6, 'map_menu', '', 'f');
INSERT INTO menu VALUES (3, 't', '', NULL, 1, 3, 7, 8, 9, '', '', 'f');
INSERT INTO menu VALUES (4, 't', '/<language>/admin/home', 3, 3, 4, 10, 11, 12, 'admin_menu', '', 't');
INSERT INTO menu VALUES (5, 't', '<front>/chpass', 3, 3, 5, 13, 14, 15, '', '', 'f');
INSERT INTO menu VALUES (6, 't', '<front>/settings', 3, 3, 6, 16, 17, 18, '', '', 'f');

SELECT setval('menu_id_seq', (SELECT MAX(id) FROM menu) + 1);

ALTER TABLE ONLY menu
    ADD CONSTRAINT menu_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES menu(id) ON DELETE CASCADE;
    
--
-- Data for Name: roles; Type: TABLE DATA;
--

INSERT INTO roles VALUES ('guest', '', 1);
INSERT INTO roles VALUES ('admin', '', 2);
INSERT INTO roles VALUES ('registered', 'guest', 3);
INSERT INTO roles VALUES ('datamanager', '', 4);
INSERT INTO roles VALUES ('rastercut', '', 5);
INSERT INTO roles VALUES ('analyst', '', 6);
---INSERT INTO roles VALUES ('offline', '', 7);
INSERT INTO roles VALUES ('admin_users', '', 8);
INSERT INTO roles VALUES ('admin_news', '', 9);
INSERT INTO roles VALUES ('admin_data', '', 10);
INSERT INTO roles VALUES ('admin_data_share', '', 11);
INSERT INTO roles VALUES ('staff', 'registered,datamanager,rastercut,analyst', 100);


SELECT setval('roles_order_seq', (SELECT MAX("order") FROM roles) + 1);

--
-- Data for Name: rules; Type: TABLE DATA;
--

INSERT INTO rules VALUES (1, 'guest', 'map_menu', '', 'menu');
INSERT INTO rules VALUES (2, 'guest', 'news_menu', '', 'menu');
--- INSERT INTO rules VALUES (3, 'rastercut', 'rastercut_menu', '', 'menu');
INSERT INTO rules VALUES (4, 'admin', 'admin_menu', '', 'menu');
--- INSERT INTO rules VALUES (5, 'admin', 'rastercutstats_menu', '', 'menu');
INSERT INTO rules VALUES (6, 'admin', 'rastercut_layer', 'view', 'layer');
INSERT INTO rules VALUES (7, 'admin', 'rastercut_watermark', '', '');
INSERT INTO rules VALUES (8, 'admin', 'rastercut_tiled', '', '');
INSERT INTO rules VALUES (9, 'admin_users', 'admin_menu', '', 'menu');
INSERT INTO rules VALUES (10, 'admin_news', 'admin_menu', '', 'menu');
INSERT INTO rules VALUES (11, 'admin', 'admin_layer', '', 'layer');
INSERT INTO rules VALUES (12, 'admin_data_share', 'admin_data_share', '', '');
INSERT INTO rules VALUES (13, 'admin', 'admin', '', '');
INSERT INTO rules VALUES (14, 'admin_data', 'admin_data', '', '');

INSERT INTO rules VALUES (100, 'guest', 'default_index_controller', '', 'controller');
INSERT INTO rules VALUES (101, 'guest', 'default_auth_controller', '', 'controller');
INSERT INTO rules VALUES (104, 'guest', 'default_menu_controller', '', 'controller');
INSERT INTO rules VALUES (105, 'guest', 'default_feed_controller', '', 'controller');
INSERT INTO rules VALUES (106, 'guest', 'default_settings_controller', 'changelang', 'controller');
INSERT INTO rules VALUES (107, 'guest', 'default_error_controller', '', 'controller');
INSERT INTO rules VALUES (108, 'guest', 'default_map_controller', '', 'controller');
INSERT INTO rules VALUES (110, 'guest', 'default_wms_controller', '', 'controller');
INSERT INTO rules VALUES (111, 'guest', 'default_wfs_controller', '', 'controller');
INSERT INTO rules VALUES (112, 'guest', 'default_jsbuild_controller', '', 'controller');
INSERT INTO rules VALUES (113, 'guest', 'default_uploads_controller', 'index', 'controller');
INSERT INTO rules VALUES (114, 'registered', 'default_snap_controller', '', 'controller');
INSERT INTO rules VALUES (115, 'registered', 'default_editgeom_controller', '', 'controller');
INSERT INTO rules VALUES (116, 'registered', 'default_chpass_controller', '', 'controller');
INSERT INTO rules VALUES (117, 'registered', 'default_settings_controller', 'index', 'controller');
INSERT INTO rules VALUES (118, 'registered', 'default_settings_controller', 'submit', 'controller');
INSERT INTO rules VALUES (119, 'registered', 'default_draw_controller', '', 'controller');
INSERT INTO rules VALUES (122, 'admin', 'default_uploads_controller', 'upload', 'controller');
INSERT INTO rules VALUES (123, 'guest', 'default_news_controller', 'index', 'controller');
INSERT INTO rules VALUES (124, 'guest', 'default_news_controller', 'detailed', 'controller');
INSERT INTO rules VALUES (125, 'registered', 'default_news_controller', 'submitcomment', 'controller');
INSERT INTO rules VALUES (126, 'admin', 'default_news_controller', 'deletecomment', 'controller');
INSERT INTO rules VALUES (127, 'guest', 'default_settings_controller', 'confirmemail', 'controller');
INSERT INTO rules VALUES (128, 'registered', 'default_settings_controller', 'changeemail', 'controller');
INSERT INTO rules VALUES (129, 'guest', 'default_wcs_controller', '', 'controller');

INSERT INTO rules VALUES (200, 'guest', 'tool_geocode_controller', '', 'controller');
INSERT INTO rules VALUES (201, 'guest', 'tool_info_controller', '', 'controller');
INSERT INTO rules VALUES (202, 'guest', 'tool_search_controller', '', 'controller');
INSERT INTO rules VALUES (203, 'guest', 'tool_legend_controller', '', 'controller');
INSERT INTO rules VALUES (204, 'registered', 'tool_privatelayers_controller', '', 'controller');
INSERT INTO rules VALUES (205, 'registered', 'tool_editattr_controller', '', 'controller');
INSERT INTO rules VALUES (206, 'registered', 'tool_historymanage_controller', '', 'controller');
INSERT INTO rules VALUES (207, 'registered', 'tool_historydata_controller', 'downloadget', 'controller');
INSERT INTO rules VALUES (208, 'registered', 'tool_historydata_controller', 'uploadget', 'controller');
INSERT INTO rules VALUES (209, 'registered', 'tool_historydata_controller', 'downloadcreate', 'controller');
INSERT INTO rules VALUES (210, 'registered', 'tool_historydata_controller', 'download', 'controller');
INSERT INTO rules VALUES (211, 'registered', 'tool_historydata_controller', 'upload', 'controller');
INSERT INTO rules VALUES (212, 'datamanager', 'tool_historydata_controller', 'activatedelete', 'controller');
INSERT INTO rules VALUES (213, 'datamanager', 'tool_historydata_controller', 'activateget', 'controller');
INSERT INTO rules VALUES (214, 'datamanager', 'tool_historydata_controller', 'activatemode', 'controller');
INSERT INTO rules VALUES (215, 'datamanager', 'tool_historydata_controller', 'report', 'controller');
INSERT INTO rules VALUES (216, 'datamanager', 'tool_historydata_controller', 'activate', 'controller');
INSERT INTO rules VALUES (217, 'datamanager', 'tool_historydata_controller', 'activatesubmit', 'controller');
INSERT INTO rules VALUES (218, 'rastercut', 'tool_rastercut_controller', 'download', 'controller');
INSERT INTO rules VALUES (219, 'rastercut', 'tool_rastercut_controller', 'index', 'controller');
INSERT INTO rules VALUES (220, 'rastercut', 'tool_rastercut_controller', 'getform', 'controller');
INSERT INTO rules VALUES (221, 'admin', 'tool_rastercut_controller', 'manage', 'controller');
INSERT INTO rules VALUES (222, 'admin', 'tool_rastercut_controller', 'managedatatable', 'controller');
INSERT INTO rules VALUES (223, 'analyst', 'tool_querybuilder_controller', '', 'controller');
INSERT INTO rules VALUES (224, 'datamanager', 'tool_historydata_controller', 'reportback', 'controller');

INSERT INTO rules VALUES (300, 'admin', 'admin_index_controller', '', 'controller');
INSERT INTO rules VALUES (301, 'admin', 'admin_news_controller', '', 'controller');
INSERT INTO rules VALUES (302, 'admin', 'admin_users_controller', '', 'controller');
INSERT INTO rules VALUES (303, 'admin', 'admin_menu_controller', '', 'controller');
INSERT INTO rules VALUES (304, 'admin', 'admin_publish_controller', '', 'controller');
INSERT INTO rules VALUES (305, 'admin', 'admin_layers_controller', '', 'controller');
INSERT INTO rules VALUES (306, 'admin', 'admin_database_controller', '', 'controller');
INSERT INTO rules VALUES (307, 'admin', 'admin_symbols_controller', '', 'controller');
INSERT INTO rules VALUES (308, 'admin', 'admin_acl_controller', '', 'controller');
INSERT INTO rules VALUES (309, 'admin', 'admin_genconf_controller', '', 'controller');
INSERT INTO rules VALUES (310, 'admin', 'admin_license_controller', '', 'controller');
INSERT INTO rules VALUES (311, 'registered', 'admin_checkupdate_controller', '', 'controller');
INSERT INTO rules VALUES (312, 'admin', 'admin_log_controller', '', 'controller');
INSERT INTO rules VALUES (313, 'admin', 'admin_plugins_controller', '', 'controller');
INSERT INTO rules VALUES (314, 'guest', 'admin_license_controller', 'getagreement', 'controller');
INSERT INTO rules VALUES (315, 'registered', 'admin_home_controller', '', 'controller');
INSERT INTO rules VALUES (316, 'admin_users', 'admin_users_controller', '', 'controller');
INSERT INTO rules VALUES (317, 'admin_news', 'admin_news_controller', '', 'controller');
INSERT INTO rules VALUES (318, 'admin_data', 'admin_database_controller', '', 'controller');
INSERT INTO rules VALUES (319, 'admin_data', 'admin_layers_controller', 'index', 'controller');
INSERT INTO rules VALUES (320, 'admin_data', 'admin_layers_controller', 'edit', 'controller');
INSERT INTO rules VALUES (321, 'admin_data', 'admin_layers_controller', 'add', 'controller');
INSERT INTO rules VALUES (322, 'admin_data', 'admin_layers_controller', 'delete', 'controller');
INSERT INTO rules VALUES (323, 'admin_data', 'admin_layers_controller', 'classesget', 'controller');
INSERT INTO rules VALUES (324, 'admin_data', 'admin_layers_controller', 'classesadd', 'controller');
INSERT INTO rules VALUES (325, 'admin_data', 'admin_layers_controller', 'classesupdate', 'controller');
INSERT INTO rules VALUES (326, 'admin_data', 'admin_layers_controller', 'classesclassify', 'controller');
INSERT INTO rules VALUES (327, 'admin_data', 'admin_layers_controller', 'classesdelete', 'controller');
INSERT INTO rules VALUES (328, 'admin_data', 'admin_layers_controller', 'classesmove', 'controller');
INSERT INTO rules VALUES (329, 'admin_data', 'admin_layers_controller', 'stylesget', 'controller');
INSERT INTO rules VALUES (330, 'admin_data', 'admin_layers_controller', 'stylesadd', 'controller');
INSERT INTO rules VALUES (331, 'admin_data', 'admin_layers_controller', 'stylesupdate', 'controller');
INSERT INTO rules VALUES (332, 'admin_data', 'admin_layers_controller', 'stylesdelete', 'controller');
INSERT INTO rules VALUES (333, 'admin_data', 'admin_layers_controller', 'stylesmove', 'controller');
INSERT INTO rules VALUES (334, 'admin_data', 'admin_layers_controller', 'fieldsget', 'controller');
INSERT INTO rules VALUES (335, 'admin_data', 'admin_layers_controller', 'fieldsupdate', 'controller');
INSERT INTO rules VALUES (336, 'admin_data', 'admin_layers_controller', 'fieldsmove', 'controller');
INSERT INTO rules VALUES (337, 'admin_data', 'admin_layers_controller', 'orderget', 'controller');
INSERT INTO rules VALUES (338, 'admin_data', 'admin_layers_controller', 'ordersave', 'controller');
INSERT INTO rules VALUES (339, 'admin_data', 'admin_layers_controller', 'owsget', 'controller');
INSERT INTO rules VALUES (340, 'admin_data', 'admin_layers_controller', 'owsedit', 'controller');
INSERT INTO rules VALUES (341, 'admin_data', 'admin_layers_controller', 'proxy', 'controller');
INSERT INTO rules VALUES (342, 'admin_data', 'admin_acl_controller', 'getprivileges', 'controller');
INSERT INTO rules VALUES (343, 'admin_data', 'admin_layers_controller', 'permissionsget', 'controller');
INSERT INTO rules VALUES (344, 'admin_data', 'admin_layers_controller', 'permissionsedit', 'controller');
INSERT INTO rules VALUES (345, 'admin_data', 'admin_layers_controller', 'permissionsgetusers', 'controller');

INSERT INTO rules VALUES (400, 'guest', 'mobile_map_controller', NULL, 'controller');
INSERT INTO rules VALUES (401, 'guest', 'mobile_menu_controller', NULL, 'controller');
INSERT INTO rules VALUES (402, 'guest', 'mobile_auth_controller', NULL, 'controller');
INSERT INTO rules VALUES (403, 'guest', 'mobile_info_controller', NULL, 'controller');
INSERT INTO rules VALUES (405, 'guest', 'mobile_legend_controller', NULL, 'controller');
INSERT INTO rules VALUES (406, 'guest', 'mobile_search_controller', NULL, 'controller');
INSERT INTO rules VALUES (404, 'guest', 'mobile_news_controller', 'detailed', 'controller');
INSERT INTO rules VALUES (407, 'guest', 'mobile_news_controller', 'index', 'controller');
INSERT INTO rules VALUES (408, 'registered', 'mobile_news_controller', 'submitcomment', 'controller');
INSERT INTO rules VALUES (409, 'registered', 'mobile_privatelayers_controller', NULL, 'controller');
INSERT INTO rules VALUES (410, 'registered', 'mobile_chpass_controller', NULL, 'controller');
INSERT INTO rules VALUES (411, 'registered', 'mobile_settings_controller', NULL, 'controller');
INSERT INTO rules VALUES (412, 'guest', 'mobile_settings_controller', 'changelang', 'controller');
INSERT INTO rules VALUES (413, 'registered', 'mobile_editgeom_controller', '', 'controller');
INSERT INTO rules VALUES (414, 'guest', 'mobile_offline_controller', 'manifest', 'controller');
INSERT INTO rules VALUES (415, 'registered', 'mobile_offline_controller', 'download', 'controller');
INSERT INTO rules VALUES (416, 'registered', 'mobile_offline_controller', 'downloadtiles', 'controller');
INSERT INTO rules VALUES (417, 'registered', 'mobile_offline_controller', 'downloadtilessuccess', 'controller');

INSERT INTO rules VALUES (1000, 'registered', 'registered', '', '');

SELECT setval('rules_id_seq', (SELECT MAX(id) FROM rules) + 1);

--
-- Data for Name: layers; Type: TABLE DATA;
--

INSERT INTO layers VALUES (1, 'Rastercut', 't', NULL, 'rastercut_layer', 'view', '', '', 20, NULL, 25, '', 'rastercut', 1000, 2000, 'user_name', 5, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 30, '\\n', 110, 'FreeSans', NULL, '/1/', NULL, NULL, NULL, 'f', NULL, '', 1, 0, 1, 1, '', 'f');
INSERT INTO layers VALUES (2, 'Worldboundaries', 't', NULL, '', '', '', '', 19, NULL, 100, '', 'world_boundaries', 1000, 2000, 'name', 5, NULL, NULL, NULL, NULL, NULL, NULL, '', 0, 10, '\\n', 110, 'FreeSans', NULL, '/2/', NULL, NULL, NULL, 'f', NULL, '', 1, 0, 1, 1, '', 'f');
INSERT INTO layers VALUES (3, 'Osm', 't', NULL, '', '', NULL, NULL, 21, NULL, 100, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, '', 0, NULL, NULL, '/3/', NULL, NULL, NULL, 'f', NULL, '{"en":{"ows_attribution_title":"Data CC-By-SA by","ows_attribution_onlineresource":"http:\/\/openstreetmap.org"}}', 1, 0, 1, 1, 'Layer/Osm.js', 't');
INSERT INTO layers VALUES (4, '', 't', NULL, NULL, NULL, NULL, NULL, 22, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, '', 0, NULL, NULL, '/4/', NULL, NULL, NULL, 'f', NULL, '', 1, 0, 1, 1, '', 'f');
INSERT INTO layers VALUES (5, 'GoogleSatellite', 't', NULL, '', '', NULL, NULL, 23, NULL, 100, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, '', 0, NULL, 4, '/4/5/', NULL, NULL, NULL, 'f', NULL, '', 1, 0, 1, 1, 'Layer/Google.js', 't');
INSERT INTO layers VALUES (6, 'GoogleStreets', 't', NULL, '', '', NULL, NULL, 24, NULL, 100, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, '', 0, NULL, 4, '/4/6/', NULL, NULL, NULL, 'f', NULL, '', 1, 0, 1, 1, 'Layer/Google.js', 't');
INSERT INTO layers VALUES (7, 'GoogleHybrid', 't', NULL, '', '', NULL, NULL, 25, NULL, 100, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, '', 0, NULL, 4, '/4/7/', NULL, NULL, NULL, 'f', NULL, '', 1, 0, 1, 1, 'Layer/Google.js', 't');
INSERT INTO layers VALUES (8, 'GoogleTerrain', 't', NULL, '', '', NULL, NULL, 26, NULL, 100, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, '', 0, NULL, 4, '/4/8/', NULL, NULL, NULL, 'f', NULL, '', 1, 0, 1, 1, 'Layer/Google.js', 't');


SELECT setval('layers_id_seq', (SELECT MAX(id) FROM layers) + 1);

--
-- Data for Name: classes; Type: TABLE DATA;
--

INSERT INTO classes VALUES (1, 1, 'rastercut_default', NULL, NULL, NULL, 1, 12, '#000000', 'FreeSans', 'f', 0, NULL, '', NULL, NULL);
INSERT INTO classes VALUES (2, 2, 'worldboundaries_default', NULL, NULL, NULL, 2, 12, '#000000', 'FreeSans', 'f', 0, NULL, '', NULL, NULL);

SELECT setval('classes_id_seq', (SELECT MAX(id) FROM classes) + 1);

--
-- Data for Name: styles; Type: TABLE DATA;
--

INSERT INTO styles VALUES (1, 1, '#add2bd', 2, '#000000', NULL, NULL, 100, NULL, 1, NULL);
INSERT INTO styles VALUES (2, 2, NULL, 1, '#000000', NULL, NULL, 100, NULL, 115, NULL);

SELECT setval('styles_id_seq', (SELECT MAX(id) FROM styles) + 1);

--
-- Data for Name: fields; Type: TABLE DATA;
--

INSERT INTO fields VALUES (1, 1, 'comment', '', 1, 'f', 1);
INSERT INTO fields VALUES (3, 1, 'date', '', 1, 'f', 3);
INSERT INTO fields VALUES (4, 1, 'area', '', 1, 'f', 4);
INSERT INTO fields VALUES (5, 1, 'scale', '', 1, 'f', 5);
INSERT INTO fields VALUES (6, 1, 'user_name', 'users.fname||\' \'||users.lname', 1, 'f', 6);

INSERT INTO fields VALUES (7, 2, 'name', '', 1, 'f', 7);
INSERT INTO fields VALUES (8, 2, 'iso_a2', '', 1, 'f', 8);
INSERT INTO fields VALUES (9, 2, 'iso_a3', '', 1, 'f', 9);
INSERT INTO fields VALUES (10, 2, 'people', '', 1, 'f', 10);
INSERT INTO fields VALUES (11, 2, 'dial', '', 1, 'f', 11);

SELECT setval('fields_id_seq', (SELECT MAX(id) FROM fields) + 1);

--
-- Data for Name: layer_defaults; Type: TABLE DATA;
--

INSERT INTO layer_defaults VALUES (1, 10, '#000000', '', 'f', 'f', 'f', 'f', 1);
INSERT INTO layer_defaults VALUES (2, 10, '#000000', 'name', 't', 't', 't', 'f', 2);
INSERT INTO layer_defaults VALUES (3, 10, '#000000', '', 'f', 'f', 'f', 'f', 3);
INSERT INTO layer_defaults VALUES (4, 10, '#000000', '', 'f', 'f', 'f', 'f', 4);
INSERT INTO layer_defaults VALUES (5, 10, '#000000', '', 't', 'f', 'f', 'f', 5);
INSERT INTO layer_defaults VALUES (6, 10, '#000000', '', 'f', 'f', 'f', 'f', 6);
INSERT INTO layer_defaults VALUES (7, 10, '#000000', '', 'f', 'f', 'f', 'f', 7);
INSERT INTO layer_defaults VALUES (8, 10, '#000000', '', 'f', 'f', 'f', 'f', 8);

--
-- Data for Name: layer_publish; Type: TABLE DATA;
--

INSERT INTO layer_publish VALUES ('f', 'f', 'f', 'f', 'f', 'f', '', 'f', 'png24', 1, 'f', NULL);
INSERT INTO layer_publish VALUES ('f', 'f', 'f', 'f', 'f', 'f', '', 't', 'png24', 2, 't', 'overlay');
INSERT INTO layer_publish VALUES ('f', 'f', 'f', 'f', 'f', 'f', '', 't', 'png24', 3, 'f', 'base');
INSERT INTO layer_publish VALUES ('f', 'f', 'f', 'f', 'f', 'f', '', 'f', 'png24', 4, 'f', NULL);
INSERT INTO layer_publish VALUES ('f', 'f', 'f', 'f', 'f', 'f', '', 't', 'png24', 5, 't', 'base');
INSERT INTO layer_publish VALUES ('f', 'f', 'f', 'f', 'f', 'f', '', 't', 'png24', 6, 'f', 'base');
INSERT INTO layer_publish VALUES ('f', 'f', 'f', 'f', 'f', 'f', '', 't', 'png24', 7, 'f', 'base');
INSERT INTO layer_publish VALUES ('f', 'f', 'f', 'f', 'f', 'f', '', 't', 'png24', 8, 'f', 'base');
