<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this package in the file LICENSE.txt.
 *
 * @category   Giscuit
 * @package    Giscuit_Controller
 * @subpackage Plugin
 * @copyright  Copyright (c) 2012 VEC
 */
/**
 * @see Zend_Controller_Plugin_Abstract
 */
require_once 'Zend/Controller/Plugin/Abstract.php';

/**
 * Plugin for javascript layer notification
 *  
 * @category   Giscuit
 * @package    Giscuit_Controller
 * @subpackage Plugin
 * @copyright  Copyright (c) 2012 VEC
 */
class Giscuit_Controller_Plugin_Incidents extends Giscuit_Controller_Plugin_Abstract
{

    protected $_translations = array(
        'en' => array(
            'addReport' => 'Add report' , 
            'alerts' => 'Alerts' , 
            'active' => 'Active' , 
            'inactive' => 'Inactive' , 
            'addAlert' => 'Add alert' , 
            'reports' => 'Reports' , 
            'drawPointHelp' => 'Click on the map to place a point' , 
            'close' => 'Close' , 
            'open' => 'Open' , 
            'closed' => 'Closed' , 
            'title' => 'Title' , 
            'description' => 'Description' , 
            'category' => 'Category' , 
            'status' => 'Status' ,
            'image' => 'Image' ,
            'geometry' => 'Geometry' ,
            'updateConfirm' => 'Are you sure you want to update ?' ,
            'allCategories' => 'All categories' ,
            'signature' => 'We hope you enjoyed receiving this message. If you wish to remove yourself from receiving this messages please go to <a href="%1$s">map</a>, activate Reports tool, click on alerts and remove all unwanted records.',
            'desktopView' => 'View in desktop' ,
            'mobileView' => 'View on mobile' ,
            'imageView' => 'View attached image' ,
            'reportClosed' => 'Your report %1$s has been closed' ,
            'reportReopened' => 'Your report %1$s has been reopened' ,
            'locationOnMap' => 'Location on map' ,
            'myCurrentLocation' => 'My current location' ,
            'point' => 'Point' ,
            'line' => 'Line' ,
            'polygon' => 'Polygon'
        ),
        'ro' => array(
            'addReport' => 'Adaugă raport' , 
            'alerts' => 'Alerte' , 
            'active' => 'Active' , 
            'inactive' => 'Inactive' , 
            'addAlert' => 'Adaugă alerta' , 
            'reports' => 'Rapoarte' , 
            'drawPointHelp' => 'Faceţi click pe hartă pentru a plasa punctul' , 
            'close' => 'Închide' , 
            'nextPage' => 'Următoare' , 
            'previousPage' => 'Precedentă' , 
            'firstPage' => 'Prima' , 
            'lastPage' => 'Ultima' , 
            'open' => 'Deschise' , 
            'closed' => 'Închise' , 
            'title' => 'Titlu' , 
            'description' => 'Descriere' , 
            'category' => 'Categoria' , 
            'status' => 'Stare' ,
            'image' => 'Imagine' ,
            'geometry' => 'Geometrie' ,
            'updateConfirm' => 'Sunteţi sigur că doriţi să actualizaţi?' ,
            'allCategories' => 'Toate categoriile' ,
            'signature' => 'Sperăm că v-a placut să primiţi acest mesaj. Dacă nu mai doriţi să primiţi astfel mesaje vă rugăm să mergeţi la <a href="%1$s"> hartă </a>, activaţi instrument de Raportare, faceţi clic pe Alerte şi eliminaţi toate înregistrările nedorite.',
            'desktopView' => 'Vizualizează în desktop' ,
            'mobileView' => 'Vizualizează pe mobil' ,
            'imageView' => 'Vizualizează imagine ataşată' ,
            'reportClosed' => 'Raportul dvs. %1$s a fost închis' ,
            'reportReopened' => 'Raportul dvs. %1$s a fost redeschis' ,
            'locationOnMap' => 'Poziţia pe harta' ,
            'myCurrentLocation' => 'Poziţia curentă' ,
            'point' => 'Punct' ,
            'line' => 'Linie' ,
            'polygon' => 'Poligon'
        ),
        'ru' => array(
            'addReport' => 'Добавить отчет' , 
            'alerts' => 'Оповещения' , 
            'active' => 'Активные' , 
            'inactive' => 'Неактивные' , 
            'addAlert' => 'Добавить оповещение' , 
            'reports' => 'Отчеты' , 
            'drawPointHelp' => 'Кликните на карту, чтобы поставить точку' , 
            'close' => 'Закрыть' , 
            'nextPage' => 'Следующая' , 
            'previousPage' => 'Предыдущая' , 
            'firstPage' => 'Первая' , 
            'lastPage' => 'Последняя' , 
            'open' => 'Открытые' , 
            'closed' => 'Закрытые' , 
            'title' => 'Название' , 
            'description' => 'Описание' , 
            'category' => 'Категория' , 
            'status' => 'Статус' ,
            'image' => 'Изображение' ,
            'geometry' => 'Геометрия' ,
            'updateConfirm' => 'Вы действительно хотите обновить?' ,
            'allCategories' => 'Все категории' ,
            'signature' => 'Мы надеемся, что вам понравилось получать это сообщение. Если вы не хотите больше получать эти сообщения, перейдите по ссылке на <a href="%1$s"> карту </a>, активируйте инструмент Отчетов, выберите раздел предупреждений и удалите все нежелательные записи.',
            'desktopView' => 'Просмотреть на рабочем столе' ,
            'mobileView' => 'Просмотреть на мобильном' ,
            'imageView' => 'Просмотреть прилагаемое изображение' ,
            'reportClosed' => 'Ваш отчет %1$s был закрыт' ,
            'reportReopened' => 'Ваш отчет %1$s был открыт' ,
            'locationOnMap' => 'Местоположение на карте' ,
            'myCurrentLocation' => 'Мое текущее местоположение' ,
            'point' => 'Точка' ,
            'line' => 'Линия' ,
            'polygon' => 'Полигон'
        )
    );
    
    
    /**
     * List of the javascript files to include
     * 
     * @return array
     */
    public function getJsFilesList ()
    {
        return array(
            'Control/Incidents.js' 
        );
    }
    
    /**
     * List of the javascript file to include
     * 
     * @return array
     */
    public function getMobileJsFilesList() 
    {
        return array(
            'Mobile/Control/Incidents.js'
        );
    }
    
    /**
     * Install plugin
     * 
     * @return boolean
     */
    public function install($newConfig) 
    {
        $db = Zend_Registry::get('db');
        $rulesTable = new Giscuit_Db_Table_Rules();
        $layersTable = new Giscuit_Db_Table_Layers();
        
        //Insert rules for public access
        $data = array('role' => 'guest', 'resource' => 'tool_incidents_controller', 'privilege' => 'get', 'group' => 'controller');
        $rulesTable->insert($data);
        
        $data = array('role' => 'guest', 'resource' => 'tool_incidents_controller', 'privilege' => 'add', 'group' => 'controller');
        $rulesTable->insert($data);
        
        $data = array('role' => 'staff', 'resource' => 'tool_incidents_controller', 'privilege' => 'setstatus', 'group' => 'controller');
        $rulesTable->insert($data);
        
        $data = array('role' => 'staff', 'resource' => 'tool_incidents_controller', 'privilege' => 'delete', 'group' => 'controller');
        $rulesTable->insert($data);
        
        $data = array('role' => 'registered', 'resource' => 'tool_incidents_controller', 'privilege' => 'getnotifications', 'group' => 'controller');
        $rulesTable->insert($data);
        
        $data = array('role' => 'registered', 'resource' => 'tool_incidents_controller', 'privilege' => 'addnotification', 'group' => 'controller');
        $rulesTable->insert($data);
        
        $data = array('role' => 'registered', 'resource' => 'tool_incidents_controller', 'privilege' => 'updatenotification', 'group' => 'controller');
        $rulesTable->insert($data);
        
        $data = array('role' => 'registered', 'resource' => 'tool_incidents_controller', 'privilege' => 'deletenotification', 'group' => 'controller');
        $rulesTable->insert($data);
        
        $data = array('role' => 'guest', 'resource' => 'tool_incidents_controller', 'privilege' => 'getcategories', 'group' => 'controller');
        $rulesTable->insert($data);
        
        //Create tables
        $schema = $newConfig->production->database->schema;
        $layersSchema = $schema . '_layers';
        $db->beginTransaction();
        try {
            $db->query("
            CREATE TABLE {$layersSchema}.incidents (
                active character(1) DEFAULT 't'::bpchar NOT NULL,
                title text,
                description text,
                date timestamp with time zone,
                category_id integer,
                fname character varying(30),
                lname character varying(30),
                email character varying(50),
                image integer,
                gid serial NOT NULL,
                the_geom public.geometry,
                CONSTRAINT enforce_dims_the_geom CHECK ((public.st_ndims(the_geom) = 2))
            );");

            $db->query("ALTER TABLE ONLY {$layersSchema}.incidents ADD CONSTRAINT incidents_pkey PRIMARY KEY (gid);");
            
            $db->query("
            CREATE TABLE {$layersSchema}.incidents_category (
                id serial NOT NULL,
                name_id integer,
                color character varying(7)
            );");
            
            $db->query("ALTER TABLE ONLY {$layersSchema}.incidents_category ADD CONSTRAINT incidents_category_pkey PRIMARY KEY (id);");

            $db->query("
            CREATE TABLE {$layersSchema}.incidents_notifications (
                category_id integer,
                user_id integer,
                id serial NOT NULL,
                the_geom public.geometry,
                CONSTRAINT enforce_dims_the_geom CHECK ((public.st_ndims(the_geom) = 2)),
                CONSTRAINT enforce_geotype_the_geom CHECK (((public.geometrytype(the_geom) = 'MULTIPOLYGON'::text) OR (the_geom IS NULL)))
            );");
            
            $db->query("ALTER TABLE ONLY {$layersSchema}.incidents_notifications ADD CONSTRAINT incidents_notifications_pkey PRIMARY KEY (id);");

            $db->commit();
        } catch (Exception $e) {
            $db->rollBack();
            throw new Giscuit_Db_Table_Exception($e->getMessage());
        }
        
        //Create layer
        $layerPath = GT_LIBRARY_PATH . DIR_SEP . 'Giscuit' . DIR_SEP . 'Map' . DIR_SEP . 'Layer' . DIR_SEP . 'Incidents.php';
        $layerFile = "<?php\nclass Giscuit_Map_Layer_Incidents extends Giscuit_Map_Layer_Javascript\n{}";
        file_put_contents($layerPath, $layerFile);
        
        $form = new Giscuit_Form_Admin_LayersAdd();
        $form->getElement('class')->setValue('incidents');
        $form->getElement('name_en')->setValue('Reports');
        $layerId = $layersTable->add($form, array(
            'type' => 'javascript' , 
            'layerType' => 'Javascript' ,
            'parentId' => ''
        ));
        
        $db->beginTransaction();
        try {
            $db->query("UPDATE {$schema}.layers SET active = 't', query = 't', js_file = 'Layer/Incidents.js' WHERE id = {$layerId};");
            $db->query("UPDATE {$schema}.layer_publish SET publish = 't', destination = 'overlay' WHERE id = {$layerId};");
            $db->query("UPDATE {$schema}.layer_defaults SET \"select\" = 't', \"view\" = 't' WHERE id = {$layerId};");
            $db->commit();
        } catch (Exception $e) {
            $db->rollBack();
            throw new Giscuit_Db_Table_Exception($e->getMessage());
        }
        
        //Add default section translations
        foreach ($this->_translations as $languageKey => $languageValue) {
            $languageFile = GT_LANGUAGES_PATH . DIR_SEP . 'default.' . $languageKey . '.tmx';
            if(! file_exists($languageFile)) {
                continue;       
            }
            
            $translate = new Zend_Translate('tmx', $languageFile, $languageKey);
        
            $newMessages = array_merge($translate->getMessages(), $languageValue);
            $newTmx = Giscuit_Controller_Plugin_Abstract::arrayToTmx($languageKey, $newMessages);
            
            file_put_contents(GT_LANGUAGES_PATH . DIR_SEP . 'default.' . $languageKey . '.tmx', $newTmx);
        }
    }
    
    /**
     * Uninstall plugin
     *  
     * @return boolean
     */
    public function uninstall($newConfig) 
    {
        $db = Zend_Registry::get('db');
        $rulesTable = new Giscuit_Db_Table_Rules();
        
        $where = $rulesTable->getAdapter()->quoteInto('resource = ?', 'tool_incidents_controller');
        $rulesTable->delete($where);
        
        //Drop tables
        $schema = $newConfig->production->database->schema;
        $db->beginTransaction();
        try {
            $db->query("DROP TABLE IF EXISTS {$schema}_layers.incidents, {$schema}_layers.incidents_category, {$schema}_layers.incidents_notifications CASCADE;");
            
            $db->commit();
        } catch (Exception $e) {
            $db->rollBack();
            throw new Giscuit_Db_Table_Exception($e->getMessage());
        }
        
        //Delete layer and it's files
        $layersTable = new Giscuit_Db_Table_Layers();
        $layerData = $layersTable->getItems(array('whereClass' => 'Incidents'));
        
        reset($layerData);
        $layerId = key($layerData);
        
        $layerPath = GT_LIBRARY_PATH . DIR_SEP . 'Giscuit' . DIR_SEP . 'Map' . DIR_SEP . 'Layer' . DIR_SEP . 'Incidents.php';
        if (file_exists($layerPath)) {
            unlink($layerPath);
        }

        if ($layerId != NULL) {
            $layersTable->delete('id = ' . $layerId);
        }
        
        //Delete translations
        foreach ($this->_translations as $languageKey => $languageValue) {
            $languageFile = GT_LANGUAGES_PATH . DIR_SEP . 'default.' . $languageKey . '.tmx';
            if(! file_exists($languageFile)) {
                continue;       
            }
            
            $translate = new Zend_Translate('tmx', $languageFile, $languageKey);
            
            $translations = $translate->getMessages();
            foreach ($languageValue as $key => $value) {
                unset($translations[$key]);
            }

            $newTmx = Giscuit_Controller_Plugin_Abstract::arrayToTmx($languageKey, $translations);
            file_put_contents(GT_LANGUAGES_PATH . DIR_SEP . 'default.' . $languageKey . '.tmx', $newTmx);
        }
    }
    
    /**
     * Parse settings in form
     *  
     * @return boolean
     */
    public function parseSettingsForm($form) {
        $form->addElement(
            'hidden',
            'dtDivTag',
            array(
                'required' => false,
                'ignore' => true,
                'autoInsertNotEmptyValidator' => false,
                'decorators' => array(
                    array(
                        'HtmlTag', array(
                            'tag'  => 'div',
                            'id'   => 'incidentsCategoriesDt'
                        )
                    )
                )
            )
        );
        $form->dtDivTag->clearValidators();
        
        $form->addElement(
            'hidden',
            'dtButtonDivTag',
            array(
                'required' => false,
                'ignore' => true,
                'autoInsertNotEmptyValidator' => false,
                'decorators' => array(
                    array(
                        'HtmlTag', array(
                            'tag'  => 'p',
                            'id'   => 'incidentsCategoriesDtAddButton'
                        )
                    )
                )
            )
        );
        $form->dtButtonDivTag->clearValidators();
        
        return true;
    }
    
    /**
     * Admin javascript script initialization code
     * 
     * @param $options Available options: 
     * @return string
     */
    public function getAdminJsInitCode(array $options = array()) 
    {
        return file_get_contents(GT_PUBLIC_PATH . DIR_SEP . 'static' . DIR_SEP . 'js' . DIR_SEP . 'giscuit' . DIR_SEP . 'Admin' . DIR_SEP . 'Incidents.js');
    }
    
    /**
     * Get parameters
     * 
     * @return array
     */
    public function getParams()
    {
        $isAllowed = Zend_Controller_Action_HelperBroker::getStaticHelper('isAllowed');
        
        return array(
            'incidentsSetstatusIsAllowed' => $isAllowed->direct('tool_incidents_controller', 'setstatus') ? true : false
        );    
    }

}