<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: YuiRadioGroup.php 2971 2012-08-29 09:45:12Z vlad.bruma $
 * @category   Giscuit
 * @package    Giscuit_Form
 * @subpackage Decorator
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * @see Zend_Form_Decorator_Abstract
 */
require_once 'Zend/Form/Decorator/Abstract.php';

/**
 * Yui radio group decorator
 * 
 * @category   Giscuit
 * @package    Giscuit_Form
 * @subpackage Decorator
 * @copyright  Copyright (c) 2012 VEC
 */
class Giscuit_Form_Decorator_YuiRadioGroup extends Zend_Form_Decorator_Abstract
{
    /**
     * Decorate content and/or element
     *
     * @param  string $content
     * @return string
     * @throws Zend_Form_Decorator_Exception when unimplemented
     */
    public function render($content)
    {
        
        $element = $this->getElement();
        $value = $element->getValue();
        $name = $element->getName();
        
        // XHTML or HTML end tag?
        $view = Zend_Controller_Action_HelperBroker::getStaticHelper('viewRenderer')->view;
        
        $endTag = ' />';
        if ($view->doctype()->isXhtml()) {
            $endTag= '>';
        }
        
        $class = $element->getAttrib('class');
        if(empty($class)) {
            $class = 'yui-buttongroup';
        }
        
        $html = "<div id='" . $element->getAttrib('id') . "' class='{$class}'>\n";
        
        foreach ($element->getMultiOptions() as $category => $values) {
            $checked = '';
            if ($value == $category) {
                $checked = ' yui-button-checked';
            }
            
            $radio = "<span class='yui-button yui-radio-button{$checked}'>
    <span class='first-child'>
        <button type=\"button\" name='{$name}' value='{$category}'>
            {$values}
        </button>
    </span>
</span>";
            
            $html .= $radio . "\n";
        }
        
        $html .= "</div>\n";
        
        return $html;
        
    }
}