<?php
class Giscuit_Form_Layer_Masking extends Giscuit_Form_Layer_Abstract
{
    /**
     * Initialize
     *
     * @return void
     */
    public function init ()
    {
        $config = Zend_Registry::get('config');
        $acl = Zend_Registry::get('acl');
        
        //Get roles
        $rolesTable = new Giscuit_Db_Table_Roles();
        $roles = $rolesTable->getItems();
        $maskingRoles = array();
        foreach ($roles as $role) {
            if ($acl->inheritsRole($role['key'], 'masking')) {
                $maskingRoles[$role['key']] = $role['key'];
            }
        }
        
        //View role
        $this->addElement('select', 'role_view', array(
            'required' => true , 
            'label' => 'role_view' , 
            'multiOptions' => $maskingRoles
        ));
        
        //Edit role
        $this->addElement('select', 'role_edit', array(
            'required' => true , 
            'label' => 'role_edit' , 
            'multiOptions' => $maskingRoles
        ));
    }
}