<?php
/**
 * Giscuit
 *
 * @version    $Id: LicenseLogin.php 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Form
 * @copyright  Copyright (c) 2012 VEC
 *
 */

/**
 * @see Giscuit_Form_Abstract
 */
require_once 'Giscuit/Form/Abstract.php';

/**
 * License authentication form class
 * 
 * @category   Giscuit
 * @package    Giscuit_Form
 * @copyright  Copyright (c) 2012 VEC
 *
 */
class Giscuit_Form_LicenseLogin extends Giscuit_Form_Abstract
{
    /**
     * Initialize
     *
     * @return void
     */
    public function init ()
    {
        $config = Zend_Registry::get('config');
        
        $this->addCredentials();
        if ($config->installed != 't') {
            $this->addProxy();
        }
        
        //Submit
        $this->addElement('button', 'license_login', array(
            'required' => false , 
            'ignore' => true , 
            'label' => 'login'
        ));
        
        $this->addDecorators(array(
            'FormElements' , 
            array(
                'HtmlTag' , 
                array(
                    'tag' => 'dl'
                ) ,
            ) , 
            array(
                array(
                    'description' => 'HtmlTag'
                ) , 
                array(
                    'tag' => 'div' , 
                    'placement' => 'prepend' , 
                    'id' => 'gtLicenseLoginError' ,
                    'style' => 'color: #CC1100;'
                ) 
            ) ,

            'Form'
        ));
    }
    
    public function addCredentials()
    {
        //Account
        $this->addElement('text', 'license_account', array(
            'filters' => array(
                'StringTrim'
            ) , 
            'validators' => array(
                array(
                    'EmailAddress'
                )
            ) , 
            'required' => true , 
            'label' => 'account'
        ));
        
        //Password
        $this->addElement('password', 'license_password', array(
            'validators' => array(
                array(
                    'StringLength' , 
                    false , 
                    array(
                        6 , 
                        32
                    )
                )
            ) , 
            'required' => true , 
            'label' => 'password'
        ));
    }
    
    public function addProxy()
    {
        $translate = Zend_Registry::get('Zend_Translate');
        
        //Proxy host
        $this->addElement('text', 'license_proxy_host', array(
            'required' => false , 
            'label' => 'host'
        ));
        
        //Proxy port
        $this->addElement('text', 'license_proxy_port', array(
            'required' => false , 
            'label' => 'port'
        ));
        
        $this->addElement('text', 'license_proxy_username', array(
            'filters' => array(
                'StringTrim',
              ) , 
            'required' => false , 
            'label' => 'username'
        ));
        
        $this->addElement('password', 'license_proxy_password', array(
            'required' => false , 
            'label' => 'password'
        ));
        
        $this->addDisplayGroup(array(
            'license_proxy_host' , 
            'license_proxy_port' , 
            'license_proxy_username' , 
            'license_proxy_password' 
        ), 'proxy');
        
        $proxyInfo = $this->getDisplayGroup('proxy');
        $proxyInfo->setLegend($translate->_('proxy'));
        
    }
}
?>