<?php
class Giscuit_Map_Layer_Masking extends Giscuit_Map_Layer_Polygon
{
    public function __construct ($map, $settings)
    {
        parent::__construct($map, $settings);
        
        $isAllowed = Zend_Controller_Action_HelperBroker::getStaticHelper("isAllowed");
        $maskingPlugin = Zend_Controller_Front::getInstance()->getPlugin("Giscuit_Controller_Plugin_Masking");
            
        if (! $isAllowed->direct("admin")) {
            $extent = $map->getExtent();
            $pixelSize = $map->getPixelSize();
            
            $extent['min']['x'] -= $pixelSize['width'];
            $extent['min']['y'] -= $pixelSize['height'];
            $extent['max']['x'] += $pixelSize['width'];
            $extent['max']['y'] += $pixelSize['height'];
                        
            $geometry = Giscuit_Map_Map::extentToWktPolygon($extent);
            $masksResult = $maskingPlugin->getCurrentMasks("role_view", $geometry);
            
            if ($masksResult !== false) {
                //Create class and style
                $class = new Giscuit_Map_Class($this, "Mask");
    
                $defaultStyle = ms_newStyleObj($class->getMsObj());
                $defaultStyle->color->setRGB(255, 255, 255);

                $mapWindowShape = ms_shapeObjFromWkt($geometry);
                
                //Calculate difference between shapes
                foreach ($masksResult as $mask) {
                    $maskGeom = ms_shapeObjFromWkt($mask["the_geom"]);
                    $difference = $mapWindowShape->difference($maskGeom);
                    if (! $difference) {
                        return;
                    }
                    $mapWindowShape = $difference;
                }
                
                $this->addFeature($mapWindowShape);
            }
        }
    }
}