<?php

/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: Uri.php 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Validate
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * Uri validator
 * 
 * @category   Giscuit
 * @package    Giscuit_Validate
 * @copyright  Copyright (c) 2012 VEC
 */
class Giscuit_Validate_Uri extends Zend_Validate_Abstract
{

    const INVALID_URL = 'invalidUrl';

    /**
     * Validation failure message template definitions
     *
     * @var array
     */
    protected $_messageTemplates = array(
        self::INVALID_URL => "'%value%' is not a valid URL."
    );

    /**
     * Defined by Zend_Validate_Interface
     *
     * Returns true if and only if $value is an uri
     *
     * @param  string $value
     * @return boolean
     */
    public function isValid ($value)
    {
        $valueString = (string) $value;
        $this->_setValue($valueString);
        
        if (! Zend_Uri::check($value)) {
            $this->_error(self::INVALID_URL);
            return false;
        }
        return true;
    }

}
