/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this package in the file LICENSE.txt.
 *
 * @version    $Id: Serial.js 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * Class: Giscuit.Control.Serial
 */

//Get devices
function _gtconngetdevices() {
    gt.control.serial.devices = [];
    for(var i=0; i < arguments.length; i++) {
        gt.control.serial.devices.push({'label': arguments[i], 'address': arguments[i]});
    }
    
    //
    gt.control.serial.events.triggerEvent('getdevices', gt.control.serial.devices);
}

//Open
function _gtconnopen() {
    gt.control.serial.status = 1;
    
    //
    gt.control.serial.events.triggerEvent('open', true);
}
function _gtconnopenfail(evt) {
    gt.control.serial.status = 0;
    
    //
    gt.control.serial.events.triggerEvent('open', evt);
    
    //
    debug.warn(evt);
}

//Close
function _gtconnclose() {
    gt.control.serial.status = 0;
    
    //
    gt.control.serial.events.triggerEvent('close', true);
}
function _gtconnclosefail(evt) {
    gt.control.serial.status = 1;
    
    //
    gt.control.serial.events.triggerEvent('close', evt);
    
    //
    debug.warn(evt);
}

//Read
function _gtconnread(evt) {
    //
    gt.control.serial.events.triggerEvent('read', evt);
}
function _gtconnreadfail(evt) {
    //
    gt.control.serial.events.triggerEvent('read', evt);
    
    //
    debug.warn(evt);
}

//Initialize
function _gtconnstart(evt) {
}

Giscuit.Control.Serial = OpenLayers.Class(Giscuit.Control, {
    
    devices: [],
    
    status: 0,
    
    _applet: null,
    
    initialize: function (options) {
        //
        Giscuit.Control.prototype.initialize.apply(this, [options]);
    },
    
    getDevices: function() {
        this._applet.getDevices();
    },    
    
    open: function (device, baudrate) {
        this.status = 0;
        this.socket = null;
        
        //
        this._applet.open(device, baudrate);
    },
    
    close: function () {
        this.status = 0;
        
        //
        this._applet.close();
    },
    
    write: function() {
        //
        this.events.triggerEvent('write', result);
    },

    CLASS_NAME: "Giscuit.Control.Serial"
});

//
gt.control.serial = new Giscuit.Control.Serial();