/**
 * Giscuit

 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this package in the file LICENSE.txt.
 *
 * @version    $Id: Info.js 1555 2011-08-02 15:41:37Z pavel.iacovlev $
 * @copyright  Copyright (c) 2012 VEC
 */
Giscuit.Map.prototype.gtEventListeners.push({
    'draw': function() {
        gt.control.legend = new Giscuit.Mobile.Control.Legend();
    }
});

/**
 * Class: Giscuit.Mobile.Control.Legend
 * 
 *  Inherits from:
 *   - <Giscuit.Control>
 */
Giscuit.Mobile.Control.Legend = OpenLayers.Class(Giscuit.Control, {
    
    initialize: function (options) {
        
        //
        $("#gtMapControls").append('<div>'
            + '<div class="ui-bar ui-bar-c" id="gtLegendButton">'
            + '<div class="gtMapControlsElImage" style="background-position: -320px 50%;"></div>'
            + '<div class="gtMapControlsElText">' + gt.translate._('legend') + '</div>'
            + '</div></div>');
        
        // 
        $("#gtLegendButton").on(gt.config.clickEvt, this, function(evt) {
            //
            evt.stopImmediatePropagation();
            
            //Hide map controls
            $("#gtMapControls").css('display', 'none');
            $("#gtToggleControlsButton").css('bottom', '5px').removeClass('ui-btn-active');
            
            $.mobile.showPageLoadingMsg();
            
            //
            if(! $('#gtLegend').length) {
                evt.data.render();
            }
            
            if (gt.control.offline.isOnline) {
                var url = gt.config.httpMobilePath + '/legend/index' +
                    gt.map.getLayersString();

                $.ajax({
                    'type': 'POST',
                    'url': url,
                    'success': evt.data.set,
                    'error': Giscuit.Util.jqmAjaxError ,
                    'dataType': 'html' ,
                    'context': evt.data
                });
            } else {
                var data = '';
                var layersLegend = Giscuit.Util.getStorageObject('gtLayersLegend');
                var layerType = Giscuit.Util.getStorageObject('gtLayerType');
                
                for (var i = 0; i < gt.control.layers.records.length; i++) {
                    if (gt.control.layers.records[i].offline == true &&
                        gt.control.layers.records[i].view == true &&
                        layerType['layer_' + gt.control.layers.records[i].id] == 'vector') {
                        
                        data += layersLegend['layer_' + gt.control.layers.records[i].id];
                    }
                }
                
                evt.data.set(data);
            }
            
            return false;
        });
        
        Giscuit.Control.prototype.initialize.apply(this, [options]);
    },
    
    render: function() {
        var html = '<div data-role="page" id="gtLegend" data-dom-cache="true" data-url="gtLegend">' +
            '<div data-role="header">' +
                '<h1>' + gt.translate._('legend') + '</h1>' +
                '<a href="#gtMap" data-icon="map" data-direction="reverse" class="ui-btn-right jqm-home">' +
                    gt.translate._('map') + 
                '</a>' + 
            '</div>' +
         
            '<div data-role="content">' + 
            '</div>' +        
            
        '</div>';
            
        $.mobile.pageContainer.append(html);
        $('#gtLegend').page();
    },
    
    set: function (data) {
        var content = $("#gtLegend > div[data-role='content']");
        content.html(data);
        
        this.events.triggerEvent('draw');
        
        $.mobile.changePage($('#gtLegend'), {
            'changeHash': true
        });
        
        content.trigger('create');
        
        $.mobile.hidePageLoadingMsg();
    } ,
    
    CLASS_NAME: "Giscuit.Mobile.Control.Legend"
});